<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE qml SYSTEM "/wt/query/qml/qml.dtd">
<qml bypassAccessControl="false">
    <parameter name="EPMDocument Number" type="java.lang.String"/>
    <parameter name="EPMDocument Object ID" type="java.lang.Object"/>
    <statement>
        <query>
            <select distinct="false" group="false">
                <column alias="EPMDocument" heading="EPMDocument Number"
                    isExternal="false" propertyName="number"
                    selectOnly="false" type="java.lang.String">
					master&gt;number
				</column>
                <column alias="EPMDocument"
                    heading="EPMDocument Object ID" type="long">master&gt;thePersistInfo.theObjectIdentifier.id</column>
                <column alias="WTPart" heading="WTPart Number"
                    isExternal="false" propertyName="number"
                    selectOnly="false" type="java.lang.String">
					master&gt;number
				</column>
                <column alias="WTPart" heading="WTPart Object ID" type="long">master&gt;thePersistInfo.theObjectIdentifier.id</column>
            </select>
            <from>
                <table alias="EPMDocument" isExternal="false">
					wt.epm.EPMDocument
				</table>
                <table alias="WTPart" isExternal="false">
					wt.part.WTPart
				</table>
                <table alias="EPMBuildRule" isExternal="false">
					wt.epm.build.EPMBuildRule
				</table>
            </from>
            <where>
                <compositeCondition type="and">
                    <condition>
                        <operand>
                            <column alias="EPMDocument"
                                heading="Latest Iteration"
                                isExternal="false"
                                propertyName="latestIteration"
                                selectOnly="false" type="boolean">
								iterationInfo.latest
							</column>
                        </operand>
                        <operator type="equal"/>
                        <operand>
                            <constant heading="1" isMacro="false" type="java.lang.Object">
								1
							</constant>
                        </operand>
                    </condition>
                    <condition>
                        <operand>
                            <column alias="EPMDocument"
                                heading="Branch Identifier"
                                isExternal="false"
                                propertyName="branchIdentifier"
                                selectOnly="false" type="long">
								iterationInfo.branchId
							</column>
                        </operand>
                        <operator type="equal"/>
                        <operand>
                            <subQuery>
                                <subQuerySelect distinct="false">
                                    <function heading="Maximum"
                                    name="MAX" type="java.lang.Object">
                                    <column alias="Sub 3D Models"
                                    heading="Branch Identifier"
                                    isExternal="false"
                                    propertyName="branchIdentifier"
                                    selectOnly="false" type="long">
											iterationInfo.branchId
										</column>
                                    </function>
                                </subQuerySelect>
                                <from>
                                    <table alias="Sub 3D Models" isExternal="false">
										wt.epm.EPMDocument
									</table>
                                </from>
                                <where>
                                    <compositeCondition type="and">
                                    <condition>
                                    <operand>
                                    <column
                                    alias="Sub 3D Models"
                                    heading="master>thePersistInfo.theObjectIdentifier.id"
                                    isExternal="false"
                                    selectOnly="false" type="long">
													master&gt;thePersistInfo.theObjectIdentifier.id
												</column>
                                    </operand>
                                    <operator type="equal"/>
                                    <operand>
                                    <column
                                    alias="EPMDocument"
                                    heading="master>thePersistInfo.theObjectIdentifier.id"
                                    isExternal="false"
                                    selectOnly="false" type="long">
													master&gt;thePersistInfo.theObjectIdentifier.id
												</column>
                                    </operand>
                                    </condition>
                                    </compositeCondition>
                                </where>
                            </subQuery>
                        </operand>
                    </condition>
                    <condition>
                        <operand>
                            <column alias="WTPart"
                                heading="Latest Iteration"
                                isExternal="false"
                                propertyName="latestIteration"
                                selectOnly="false" type="boolean">
								iterationInfo.latest
							</column>
                        </operand>
                        <operator type="equal"/>
                        <operand>
                            <constant heading="1" isMacro="false" type="java.lang.Object">
								1
							</constant>
                        </operand>
                    </condition>
                    <condition>
                        <operand>
                            <column alias="WTPart"
                                heading="Branch Identifier"
                                isExternal="false"
                                propertyName="branchIdentifier"
                                selectOnly="false" type="long">
								iterationInfo.branchId
							</column>
                        </operand>
                        <operator type="equal"/>
                        <operand>
                            <subQuery>
                                <subQuerySelect distinct="false">
                                    <function heading="Maximum"
                                    name="MAX" type="java.lang.Object">
                                    <column alias="Sub WTPart"
                                    heading="Branch Identifier"
                                    isExternal="false"
                                    propertyName="branchIdentifier"
                                    selectOnly="false" type="long">
											iterationInfo.branchId
										</column>
                                    </function>
                                </subQuerySelect>
                                <from>
                                    <table alias="Sub WTPart" isExternal="false">
										wt.part.WTPart
									</table>
                                </from>
                                <where>
                                    <compositeCondition type="and">
                                    <condition>
                                    <operand>
                                    <column
                                    alias="Sub WTPart"
                                    heading="master>thePersistInfo.theObjectIdentifier.id"
                                    isExternal="false"
                                    selectOnly="false" type="long">
													master&gt;thePersistInfo.theObjectIdentifier.id
												</column>
                                    </operand>
                                    <operator type="equal"/>
                                    <operand>
                                    <column alias="WTPart"
                                    heading="master>thePersistInfo.theObjectIdentifier.id"
                                    isExternal="false"
                                    selectOnly="false" type="long">
													master&gt;thePersistInfo.theObjectIdentifier.id
												</column>
                                    </operand>
                                    </condition>
                                    </compositeCondition>
                                </where>
                            </subQuery>
                        </operand>
                    </condition>
                    <compositeCondition type="or">
                        <condition>
                            <operand>
                                <column alias="EPMDocument"
                                    heading="master>thePersistInfo.theObjectIdentifier.id" type="long">master&gt;thePersistInfo.theObjectIdentifier.id</column>
                            </operand>
                            <operator type="equal"/>
                            <operand>
                                <parameterTarget name="EPMDocument Object ID"/>
                            </operand>
                        </condition>
                        <condition>
                            <operand>
                                <column alias="EPMDocument"
                                    heading="Number"
                                    propertyName="number" type="java.lang.String">master&gt;number</column>
                            </operand>
                            <operator type="equal"/>
                            <operand>
                                <parameterTarget name="EPMDocument Number"/>
                            </operand>
                        </condition>
                    </compositeCondition>
                </compositeCondition>
            </where>
            <referenceJoin>
                <join name="roleAObjectRef">
                    <aliasTarget alias="EPMBuildRule"/>
                    <aliasTarget alias="EPMDocument"/>
                </join>
                <join name="roleBObjectRef">
                    <aliasTarget alias="EPMBuildRule"/>
                    <aliasTarget alias="WTPart"/>
                </join>
            </referenceJoin>
        </query>
    </statement>
</qml>
